Alpha AnalystDocs

Cash Flow Statement API

Retrieve nested operating, investing, and financing cash flows by period. Same parameters as Income Statement; net income here is cashflowNetIncome.

curl -X GET "https://example.com/v2/fundamentals/financials/cash-flow?id=AAPL&periodicity=fy&limit=4"
{  "id": "AAPL",  "entity": {    "name": "Apple Inc.",    "name_short": "Apple Inc.",    "full_ticker": "AAPL US",    "normalized_ticker": "AAPL",    "backlink_url": "https://alpha-analyst.com/stocks/aapl",    "category": "EQUITY",    "cik": "0000320193",    "lei": "HWUPKR0MPOU8FGXBT394"  },  "statement": "cashflow",  "periodicity": "fy",  "include_ltm": false,  "period_start": null,  "period_end": null,  "limit": 4,  "growth": "none",  "currency": {    "requested": null,    "reporting": {      "currency": "USD",      "original_currency": "USD",      "applied_exchange_rate": 1    },    "trading": null  },  "count": 4,  "columns": [    {      "date": "2022-09-24",      "fiscal_year": "2022",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-22-000108|0",        "filing_id": "0000320193-22-000108",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-22-000108?filename=aapl-20220924.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019322000108/aapl-20220924.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019322000108/0000320193-22-000108-index.html"      },      "filing_match": "exact"    },    {      "date": "2023-09-30",      "fiscal_year": "2023",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-23-000106|0",        "filing_id": "0000320193-23-000106",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-23-000106?filename=aapl-20230930.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019323000106/aapl-20230930.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019323000106/0000320193-23-000106-index.html"      },      "filing_match": "exact"    },    {      "date": "2024-09-28",      "fiscal_year": "2024",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-24-000123|0",        "filing_id": "0000320193-24-000123",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-24-000123?filename=aapl-20240928.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019324000123/aapl-20240928.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019324000123/0000320193-24-000123-index.html"      },      "filing_match": "date"    },    {      "date": "2025-09-27",      "fiscal_year": "2025",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-25-000079|0",        "filing_id": "0000320193-25-000079",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-25-000079?filename=aapl-20250927.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/aapl-20250927.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.html"      },      "filing_match": "date"    }  ],  "rows": [    {      "metric": "cashflowNetIncome",      "name": "Net Income",      "parent": "netCashProvidedByOperatingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        99803000000,        96995000000,        93736000000,        112010000000      ]    },    {      "metric": "depreciationAndAmortization",      "name": "Depreciation & Amortization",      "parent": "netCashProvidedByOperatingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        11104000000,        11519000000,        11445000000,        11698000000      ]    },    {      "metric": "stockBasedCompensation",      "name": "Stock Based Compensation",      "parent": "netCashProvidedByOperatingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        9038000000,        10833000000,        11688000000,        12863000000      ]    },    {      "metric": "changeInWorkingCapital",      "name": "Change in Working Capital",      "parent": "netCashProvidedByOperatingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        1200000000,        -6577000000,        3651000000,        -25000000000      ]    },    {      "metric": "otherNonCashItems",      "name": "Other Non-Cash Items",      "parent": "netCashProvidedByOperatingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        111000000,        -2227000000,        -2266000000,        -89000000      ]    },    {      "metric": "netCashProvidedByOperatingActivities",      "name": "Net Cash from Operating Activities",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        122151000000,        110543000000,        118254000000,        111482000000      ]    },    {      "metric": "investmentsInPropertyPlantAndEquipment",      "name": "Investments in Property, Plant & Equipment",      "parent": "netCashProvidedByInvestingActivities",      "level": 1,      "sign": "-",      "row_type": "normal",      "values": [        -10708000000,        -10959000000,        -9447000000,        -12715000000      ]    },    {      "metric": "acquisitionsNet",      "name": "Acquisitions Net",      "parent": "netCashProvidedByInvestingActivities",      "level": 1,      "sign": "-",      "row_type": "normal",      "values": [        -306000000,        0,        0,        0      ]    },    {      "metric": "purchasesOfInvestments",      "name": "Purchases of Investments",      "parent": "netCashProvidedByInvestingActivities",      "level": 1,      "sign": "-",      "row_type": "normal",      "values": [        -76923000000,        -29513000000,        -48656000000,        -24407000000      ]    },    {      "metric": "salesMaturitiesOfInvestments",      "name": "Sales/Maturities of Investments",      "parent": "netCashProvidedByInvestingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        67363000000,        45514000000,        62346000000,        53797000000      ]    },    {      "metric": "otherInvestingActivities",      "name": "Other Investing Activities",      "parent": "netCashProvidedByInvestingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        -1780000000,        -1337000000,        -1308000000,        -1480000000      ]    },    {      "metric": "netCashProvidedByInvestingActivities",      "name": "Net Cash from Investing Activities",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        -22354000000,        3705000000,        2935000000,        15195000000      ]    },    {      "metric": "netDebtIssuance",      "name": "Net Debt Issuance",      "parent": "netCashProvidedByFinancingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        -123000000,        -9901000000,        -5998000000,        -8483000000      ]    },    {      "metric": "netStockIssuance",      "name": "Net Stock Issuance",      "parent": "netCashProvidedByFinancingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        -89402000000,        -77550000000,        -94949000000,        -90711000000      ]    },    {      "metric": "netDividendsPaid",      "name": "Net Dividends Paid",      "parent": "netCashProvidedByFinancingActivities",      "level": 1,      "sign": "-",      "row_type": "normal",      "values": [        -14841000000,        -15025000000,        -15234000000,        -15421000000      ]    },    {      "metric": "otherFinancingActivities",      "name": "Other Financing Activities",      "parent": "netCashProvidedByFinancingActivities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        -6383000000,        -6012000000,        -5802000000,        -6071000000      ]    },    {      "metric": "netCashProvidedByFinancingActivities",      "name": "Net Cash from Financing Activities",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        -110749000000,        -108488000000,        -121983000000,        -120686000000      ]    },    {      "metric": "effectOfForexChangesOnCash",      "name": "Effect of Forex Changes",      "parent": "netChangeInCash",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        0,        0,        0,        0      ]    },    {      "metric": "netChangeInCash",      "name": "Net Change in Cash",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        -10952000000,        5760000000,        -794000000,        5991000000      ]    },    {      "metric": "cashAtEndOfPeriod",      "name": "Cash at End of Period",      "parent": null,      "level": 0,      "sign": null,      "row_type": "total",      "values": [        24977000000,        30737000000,        29943000000,        35934000000      ]    },    {      "metric": "operatingCashFlow",      "name": "Operating Cash Flow",      "parent": null,      "level": 0,      "sign": null,      "row_type": "normal",      "values": [        122151000000,        110543000000,        118254000000,        111482000000      ]    },    {      "metric": "capitalExpenditure",      "name": "Capital Expenditure",      "parent": null,      "level": 0,      "sign": "-",      "row_type": "normal",      "values": [        -10708000000,        -10959000000,        -9447000000,        -12715000000      ]    },    {      "metric": "freeCashFlow",      "name": "Free Cash Flow",      "parent": null,      "level": 0,      "sign": null,      "row_type": "total",      "values": [        111443000000,        99584000000,        108807000000,        98767000000      ]    }  ]}
GET
/v2/fundamentals/financials/cash-flow

Query Parameters

id*Entity Id

Company or listing id. Same resolve as Entity Reference: ticker (AAPL, AAPL US, AAPL-US), CIK, LEI, EDINET code, CRD, SEC series id, internal id, FIGI, composite FIGI, and share-class FIGI. ISIN and CUSIP match but are never returned. See Ids you can send.

Length1 <= length <= 200
periodicity?string

fy, quarter, or ttm. Default fy. fy is fiscal year, quarter is Q1-Q4, ttm is last twelve months.

Default"fy"

Value in

  • "fy"
  • "quarter"
  • "ttm"
include_ltm?boolean

When periodicity=fy, append a Last-12M column if it is not the same as the latest FY.

Defaultfalse
period_start?string

Inclusive period-end start (YYYY-MM-DD).

Formatdate
period_end?string

Inclusive period-end end (YYYY-MM-DD).

Formatdate
limit?integer

Latest N periods after the date filter. Omit for all matching periods up to 100.

Range1 <= value <= 100
currency?ISO Currency

ISO 4217 code (USD, EUR, CAD). Case-insensitive. Latest warehouse spot; crosses that are not a listed pair convert via USD. See Forex.

Match^[A-Za-z]{3,4}$
Length3 <= length <= 4
growth?string

none, period, or yoy. Default none. period is adjacent percent change. yoy is the same fiscal period in the prior year.

Default"none"

Value in

  • "none"
  • "period"
  • "yoy"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json